Module::CPANTS::Kwalitee::MetaYML(3pm)

NAME
Module::CPANTS::Kwalitee::MetaYML - Checks data available in META.yml

SYNOPSIS
Checks various pieces of information in META.yml

DESCRIPTION

  Methods
order

Defines the order in which Kwalitee tests should be run.

Returns 10. "MetaYML" should be checked earlier than "Files" to handle "no_index" correctly.

analyse

"MCK::MetaYML" checks "META.yml".

kwalitee_indicators

Returns the Kwalitee Indicators data structure.

•   meta_yml_is_parsable

•   meta_yml_has_provides

•   meta_yml_conforms_to_known_spec

•   meta_yml_declares_perl_version

•   meta_yml_has_repository_resource

•   meta_json_is_parsable

•   meta_json_conforms_to_known_spec

SEE ALSO
Module::CPANTS::Analyse

AUTHOR
Thomas Klausner <https://metacpan.org/author/domm> and Gábor Szabó <https://metacpan.org/author/szabgab>

COPYRIGHT AND LICENSE
Copyright © 2003–2009 Thomas Klausner <https://metacpan.org/author/domm>

Copyright © 2006–2008 Gábor Szabó <https://metacpan.org/author/szabgab>

You may use and distribute this module according to the same terms that Perl is distributed under.